﻿@model Teste1.Models.Livro

@{
    ViewData["Title"] = "Inserir";
}

<h1>Create</h1>

<h4>Livro</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Inserir"  enctype="multipart/form-data">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Titulo" class="control-label"></label>
                <input asp-for="Titulo" class="form-control" />
                <span asp-validation-for="Titulo" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Autores" class="control-label"></label>
                <input asp-for="Autores" class="form-control" />
                <span asp-validation-for="Autores" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Editora" class="control-label"></label>
                <input asp-for="Editora" class="form-control" />
                <span asp-validation-for="Editora" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="ISBN" class="control-label"></label>
                <input asp-for="ISBN" class="form-control" />
                <span asp-validation-for="ISBN" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Capa" class="control-label"></label>
                <input asp-for="Capa" type="file" class="form-control" />
                <span asp-validation-for="Capa" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Contracapa" class="control-label"></label>
                <input asp-for="Contracapa" type="file" class="form-control" />
                <span asp-validation-for="Contracapa" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Inserir" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Lista">Voltar</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
